Cannot install the latest version of ImageMagick on Debian

Questions and postings pertaining to the usage of ImageMagick regardless of the interface. This includes the command-line utilities, as well as the C and C++ APIs. Usage questions are like "How do I use ImageMagick to create drop shadows?".
Post Reply
thuyentrang
Posts: 7
Joined: 2018-11-09T11:33:21-07:00
Authentication code: 1152

Cannot install the latest version of ImageMagick on Debian

Post by thuyentrang » 2018-11-10T05:26:03-07:00

Hello,

I've tried to install the latest version of ImageMagick WITH DELEGATES on Debian for hours, but all I got are some error.

This is how I install:

1. Install by source:

Code: Select all

wget https://imagemagick.org/download/ImageMagick.tar.gz
tar xvzf ImageMagick.tar.gz
cd ImageMagick-7.0.8-14
./configure
make
make install
ldconfig /usr/local/lib
It's Ok, but there are no delegates installed (I run: convert -version, it returns empty delegates)

2. Install by RPM:

Code: Select all

apt-get install alien
wget https://imagemagick.org/download/linux/CentOS/x86_64/ImageMagick-7.0.8-14.x86_64.rpm
alien ImageMagick-7.0.8-14.x86_64.rpm
dpkg -i imagemagick-libs_7.0.8-15_amd64.deb
Installed but it through error when I run "convert":
convert: error while loading shared libraries: libMagickCore-7.Q16HDRI.so.6: cannot open shared object file: No such file or directory
I also tried to run ldconfig but my issue still not be solved:

Code: Select all

ldconfig /usr/local/lib

3. Install by source with all delegates installed before:

Code: Select all

apt-get install fontconfig fontconfig-config fonts-dejavu-core fonts-droid-fallback fonts-noto-mono ghostscript gsfonts hicolor-icon-theme imagemagick-6-common imagemagick-6.q16 libavahi-client3 libavahi-common-data libavahi-common3 libcairo2 libcups2 libcupsfilters1 libcupsimage2 libdatrie1 libdjvulibre-text libdjvulibre21 libfftw3-double3 libfontconfig1 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgraphite2-3 libgs9 libgs9-common libharfbuzz0b libijs-0.35 libilmbase12 libjbig0 libjbig2dec0 libjpeg62-turbo libjxr-tools libjxr0 liblcms2-2 liblqr-1-0 libltdl7 libmagickcore-6.q16-3 libmagickcore-6.q16-3-extra libmagickwand-6.q16-3 libnetpbm10 libopenexr22 libopenjp2-7 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpaper-utils libpaper1 libpixman-1-0 libthai-data libthai0 libtiff5 libwmf0.2-7 libxcb-render0 libxcb-shm0 libxrender1 netpbm poppler-data

apt-get install inkscape librsvg2-bin

wget https://imagemagick.org/download/ImageMagick.tar.gz

tar xvzf ImageMagick.tar.gz

cd ImageMagick-7.0.8-14

./configure

make

make install

ldconfig /usr/local/lib
But still there are no delegates listed when run:

Code: Select all

convert -version
result wrote: Version: ImageMagick 7.0.8-14 Q16 x86_64 2018-11-10 https://imagemagick.org
Copyright: © 1999-2018 ImageMagick Studio LLC
License: https://imagemagick.org/script/license.php
Features: Cipher DPC HDRI OpenMP
Delegates (built-in):
Please help, thank you :(

harlan
Posts: 1
Joined: 2018-11-13T16:21:03-07:00
Authentication code: 1152

Re: Cannot install the latest version of ImageMagick on Debian

Post by harlan » 2018-11-13T16:28:38-07:00

You were close.

The following works for me on Ubuntu 18.04.1 LTS (bionic)

Code: Select all

wget https://imagemagick.org/download/linux/CentOS/x86_64/ImageMagick-7.0.8-14.x86_64.rpm
wget https://imagemagick.org/download/linux/CentOS/x86_64/ImageMagick-libs-7.0.8-14.x86_64.rpm
sudo apt-get install -y alien
sudo alien -d ImageMagick-7.0.8-14.x86_64.rpm
sudo alien -d ImageMagick-libs-7.0.8-14.x86_64.rpm
# you need the dependencies that the standard imagemagick package has
sudo apt-get install -y fontconfig fontconfig-config fonts-dejavu-core fonts-droid-fallback fonts-noto-mono ghostscript gsfonts hicolor-icon-theme libxt6 libavahi-client3 libavahi-common-data libavahi-common3 libcairo2 libcups2 libcupsfilters1 libcupsimage2 libdatrie1 libdjvulibre-text libdjvulibre21 libfftw3-double3 libfontconfig1 libgraphite2-3 libgs9 libgs9-common libharfbuzz0b libijs-0.35 libilmbase12 libjbig0 libjbig2dec0 libjpeg-turbo8 libjpeg8 liblcms2-2 liblqr-1-0  libnetpbm10 libopenexr22 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpaper-utils libpaper1 libpixman-1-0 libthai-data libthai0 libtiff5 libwmf0.2-7 libxcb-render0 libxcb-shm0 libxrender1 netpbm poppler-data
# install the packages generated by alien
sudo dpkg -i imagemagick_7.0.8-15_amd64.deb
sudo dpkg -i imagemagick-libs_7.0.8-15_amd64.deb
# register libraries
sudo ldconfig /usr/lib64

Post Reply